<!doctype html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>${note.name}</title>
</head>
<header>
    <nav>
        <#if (folder.id)??>
            <h4><a href="/notes/folder/${folder.id}">${folder.name}</a></h4>
        <#else>
            <h4><a href="/notes">Все заметки</a></h4>
        </#if>
    </nav>
</header>
<br/>
<body>

<form method="post" action="/notes/edit/${note.id}">
    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
    <button type="submit">Сохранить</button>
    <input name="noteId" type="hidden" value="${note.id}"/>
    <p><label>
            <textarea name="name" rows="1" cols="100" style="width: 100%;">${note.name}</textarea>
        </label></p>
    <p><label>
            <textarea name="note" wrap="hard" rows="30" style="width: 100%; height: 100%;">${note.note}</textarea>
        </label></p>
    <p><label>Переместить в другую папку:
        <select name="folderId" required="required">
            <option value="${folder.id}">Выберите папку</option>
            <#list folders as folder>
                <option value="${folder.id}">${folder.name}</option>
            </#list>
        </select>
        </label></p>
</form>

</body>
</html>